[Sumover-dev] [svn commit] r3902 - rat/trunk

sumover-dev at cs.ucl.ac.uk sumover-dev at cs.ucl.ac.uk
Thu Oct 19 16:23:13 BST 2006


Author: csp
Date: Thu Oct 19 16:23:11 2006
New Revision: 3902

Modified:
   rat/trunk/MODS
   rat/trunk/VERSION
   rat/trunk/configure
   rat/trunk/main_control.c
   rat/trunk/session.c

Log:
Change default TTL to 127. Use of TTL scoping for multicast is *so* last
century.


Modified: rat/trunk/MODS
==============================================================================
--- rat/trunk/MODS	(original)
+++ rat/trunk/MODS	Thu Oct 19 16:23:11 2006
@@ -1688,6 +1688,12 @@
 	  callback accesses and audio read.
 	* 13 September 2006
 
+v4.3.01	- Fix TTL handling for unicast connection
+	- Change default TTL to 127
+
+
+
+
 
 TODO -- They're features not bugs dammit!
 ----

Modified: rat/trunk/VERSION
==============================================================================
--- rat/trunk/VERSION	(original)
+++ rat/trunk/VERSION	Thu Oct 19 16:23:11 2006
@@ -1 +1 @@
-4.3.00
+4.3.01

Modified: rat/trunk/configure
==============================================================================
--- rat/trunk/configure	(original)
+++ rat/trunk/configure	Thu Oct 19 16:23:11 2006
@@ -719,13 +719,13 @@
   	  /^X\(\/\).*/{ s//\1/; q; }
   	  s/.*/./; q'`
   srcdir=$ac_confdir
-  if test ! -r "$srcdir/$ac_unique_file"; then
+  if test ! -r $srcdir/$ac_unique_file; then
     srcdir=..
   fi
 else
   ac_srcdir_defaulted=no
 fi
-if test ! -r "$srcdir/$ac_unique_file"; then
+if test ! -r $srcdir/$ac_unique_file; then
   if test "$ac_srcdir_defaulted" = yes; then
     { echo "$as_me: error: cannot find sources ($ac_unique_file) in $ac_confdir or .." >&2
    { (exit 1); exit 1; }; }
@@ -734,7 +734,7 @@
    { (exit 1); exit 1; }; }
   fi
 fi
-(cd $srcdir && test -r "./$ac_unique_file") 2>/dev/null ||
+(cd $srcdir && test -r ./$ac_unique_file) 2>/dev/null ||
   { echo "$as_me: error: sources are in $srcdir, but \`cd $srcdir' does not work" >&2
    { (exit 1); exit 1; }; }
 srcdir=`echo "$srcdir" | sed 's%\([^\\/]\)[\\/]*$%\1%'`

Modified: rat/trunk/main_control.c
==============================================================================
--- rat/trunk/main_control.c	(original)
+++ rat/trunk/main_control.c	Thu Oct 19 16:23:11 2006
@@ -45,7 +45,7 @@
 int         should_exit;
 int	    ui_enabled = TRUE;
 
-static int ttl = 15;
+static int ttl = 127;
 
 #ifdef NEED_SNPRINTF
 static int snprintf(char *s, int buf_size, const char *format, ...)

Modified: rat/trunk/session.c
==============================================================================
--- rat/trunk/session.c	(original)
+++ rat/trunk/session.c	Thu Oct 19 16:23:11 2006
@@ -119,7 +119,7 @@
 	sp->tx_rtp_port[0] 		= 5004; /* draft-ietf-avt-profile-new-00  */
         sp->rx_rtcp_port[0]   		= 5005;
         sp->tx_rtcp_port[0]   		= 5005;
-	sp->ttl				= 16;
+	sp->ttl				= 127;
         sp->filter_loopback             = TRUE;
 	sp->playing_audio		= TRUE;
 	sp->lecture			= FALSE;



More information about the Sumover-dev mailing list